/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

class Counter {
	
	private short value;
	
	private TriggerQueue triggers;
	
	Counter() {
		triggers = new TriggerQueue();
	}
	

	void set(short v) {
		if (value == v) return;
		value = v;
		triggers.update(v, 0);
	}
	
	short get() { return value; }
	
	void increment() { set((short)(value + 1)); }
	void decrement() { set((short)(value - 1)); }
		
	void addTrigger(Trigger t) {
		t.enqueue(triggers);
		t.prime(0, PBrick.MIN_INT, PBrick.MAX_INT);
	}
}
