/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

/** This class is the external representation of a PBrick fragment (task or
 *	subroutine).  Most clients will not have to use this class at all - the
 *	RCXIReader class can be used to extract a complete program from an
 *	NQC-generated file.
 */

public class Fragment {
	public static final int TASK_FRAGMENT = 0;
	public static final int SUB_FRAGMENT = 1;
	
	private int type;
	private int id;
	private byte[] code;
	
	public Fragment(int type, int id, byte code[]) {
		this.type = type;
		this.id = id;
		this.code = code;
	}
	
	public byte[] getCode() { return code; }
	public int getId() { return id; }
	public int getType() { return type; }
};
