/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

class Op
{
	// sensors
	public static final int SENT =	0x32;
	public static final int SENM =	0x42;
	public static final int SENZ =	0xd1;
	 
	// outputs
	public static final int OUT =	0x21;
	public static final int DIR =	0xe1;
	public static final int PWR = 	0x13;
	public static final int GOUT =	0x67;
	public static final int GPWR = 	0xa3;
	public static final int GDIR =	0x77;

	// task control
	public static final int START =	0x71;
	public static final int STOP =	0x81;
	public static final int STOPA =	0x50;
	public static final int WAIT =	0x43;

	// flow control	
	public static final int JUMP =	0x27;
	public static final int JUMPL =	0x72;
	public static final int CHK =	0x85;
	public static final int CHKL =	0x95;
	public static final int CALLS = 0x17;
	public static final int RTS =	0xf6;
	public static final int LOOPC = 0x37;
	public static final int LOOPCL = 0x92;
	public static final int LOOPS =	0x82;
	public static final int DECVJN = 0xf2;
	public static final int DECVJNL = 0xf3;
	
	// timers
	public static final int TMRZ =	0xa1;
	public static final int SETW =	0x22;
	
	// sound
	public static final int PLAYS =	0x51;
	public static final int PLAYT =	0x23;
	public static final int PLAYV = 0x02;
	public static final int MUTE =	0xd0;
	public static final int SPEAK =	0xe0;
	public static final int PLAYZ = 0x80;
	
	// variables
	public static final int SETV =	0x14;
	public static final int SUMV =	0x24;
	public static final int SUBV =	0x34;
	public static final int DIVV =	0x44;
	public static final int MULV =	0x54;
	public static final int SGNV =	0x64;
	public static final int ABSV =	0x74;
	public static final int ANDV =	0x84;
	public static final int ORV =	0x94;
	
	// communication
	public static final int MSG = 	0xb2;
	public static final int MSGZ =	0x90;
	public static final int MSGS =	0xf7;
	
	// display
	public static final int VIEW = 	0x33;
	public static final int DISP =	0xe5;
	
	// datalog
	public static final int LOG = 	0x62;
	public static final int LOGZ = 	0x52;
	public static final int POLLD = 0xa4;
	
	// misc
	public static final int TXS =	0x31;
	public static final int TOUT =	0xb1;
	public static final int OFFP =	0x60;
	public static final int SET = 	0x05;
	
	// events
	public static final int SETE = 	0x93;
	public static final int MONEX = 0xb0;
	public static final int MONE =	0xb4;
	public static final int MONEL = 0xb5;
	public static final int DELE =	0x06;
	public static final int EVENT =	0x03;
	
	// counters
	public static final int CNTI =	0x97;
	public static final int CNTD = 	0xa7;
	public static final int CNTZ = 	0xb7;

	// resource access
	public static final int MONAL = 0x73;
	public static final int MONAX = 0xa0;
	public static final int SETP =	0xd7;
	
	// pseudo ops
	public static final int ILLEGAL = -1;
};

