/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

/** This interface is used by the simulator to inform the client
*	when the simulated PBrick changes an output.
*/

public interface OutputListener {
	/** This method is called when an output changes mode, direction,
	*	or power level.
	*	@param out	the output that has been changed
	*/
	public void pbOutputChanged(Output out);
}
