/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

/** This class is the external representation of a PBrick program.  In most
 *	cases, clients will read a program from an NQC-generated file using the
 *	RCXIReader class, and then hand the program to the PBrick by calling
 *	PBrick.load().
 */
public class Program {
	private Fragment[] fragments;

	public Program(int fragCount) {
		fragments = new Fragment[fragCount];
	}
	
	public Fragment getFragment(int i) {
		return fragments[i];
	}
	
	public void setFragment(int i, Fragment f) {
		fragments[i] = f;
	}
	
	public int getFragmentCount() {
		return fragments.length;
	}
}
